%define debug_package %{nil}

%if "%{?fedora}" == "5"
%define monodir %{_prefix}/lib
%else
%define monodir %{_libdir}
%endif

Summary: An implementation of Java for Mono
Name: ikvm
Version: 0.22
Release: 10%{?dist}
License: BSD
Group: Development/Languages
Source0: http://kent.dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz
Patch0: ikvm-libdir.patch
URL: http://www.ikvm.net/
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  mono-devel
%if "%{?fedora}" > "5"
BuildRequires: libtool autoconf automake
%endif

%description
This package provides IKVM.NET, an open source Java compatibility
layer for Mono, which includes a Virtual Machine, a bytecode compiler,
and various class libraries for Java, as well as tools for Java and
Mono interoperability.

%package devel
Summary:	Development files for ikvm
Group:	Development/Libraries
Requires:	%{name} = %{version}-%{release} pkgconfig

%description devel
Development files for ikvm

%prep
%setup -q
sed -i 's/\r//' LICENSE
%if "%{?fedora}" > "5"
%patch0 -p1 -b .orig
autoreconf
%endif

%build
%configure
make %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
make DESTDIR=%{buildroot} install

%files 
%defattr (-,root,root,-)
%doc LICENSE COPYING
%{_bindir}/*
%{monodir}/ikvm/

%files devel
%defattr(-,root,root,-)
%{monodir}/pkgconfig/ikvm.pc

%clean
%{__rm} -rf %{buildroot}

%changelog
* Wed Sep 06 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.22-10
- 64 bit clean
- spec file changes

* Wed Jun 14 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.22-9
- Altered configure line so there is a valid target
- Changed buildarch to noarch
- Removed libdir hack

* Wed Jun 14 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.22-8
- Add BR pkg-config

* Wed May 31 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.22-7
- Added devel package
- Added 64 bit fix

* Sun Apr 23 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.22-6
- static libdir removed
- added %%defattr
- added archs mono is currently on

* Tue Apr 18 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.22-5
- libdir is now usr-lib irrespective of architecture built on
- removed devel as there is no point of a devel for one file
- multiple spec file changed

* Mon Mar  6 2006 Michel Salim <michel.salim@gmail.com> 0.22-4
- Fixed summary
- Changed URL field
- Make IKVM own libdir/ikvm/
- Convert LICENSE to Unix text format
- Added COPYING to list of files
- Fixed launch scripts so they are correct on x86_64

* Thu Jan 26 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.22-3
- Fix to include IKVM.GNU.Classpath

* Wed Jan 25 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.22-2
- D'oh! Wrong package description!

* Mon Jan 23 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.22-1
- Initial import

